[18.10 FEAT] zKVM: CPU Model z14 ZR 1

Bug #1780773 reported by bugproxy on 2018-07-09
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Unassigned
qemu (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Impact]

 * Backport definition of the new machine type as HW exploitation for
   z14R1

 * Trivial change just making the type known to qemu will fulfill IBMs
   need on this.

[Test Case]

 * Use qemu/KVM on a z14R1 and check the cpu features.
   Lacking such a system the real verification relies on IBM who confirmed
   to do it.
 * While unable to really use it for a lot of benefit, you can check the
   definition exists at least with:
     $ qemu-system-s390x -cpu ? | grep z14
   After the fix this gets the two extra lines:
    s390 z14ZR1-base IBM z14 Model ZR1 GA1 (static, migration-safe)
    s390 z14ZR1 IBM z14 Model ZR1 GA1 (migration-safe)

[Regression Potential]

 * I know we are encouraged to think about all possible regressions, but
   here it is hard to find one. A one line change to a set of definitions
   that are checked against the machine type.
   I could only think of fake machine types 3907 environments changing
   (doesn't exist)
   Well real z14R1 machines will after the change behave differently by
   detecting the type correctly, but that is just what is requested in
   this backport.

[Other Info]

 * n/a

----

Feature Description

Provide the CPU model for the IBM z14 ZR1 to enable KVM guests to exploit new hardware features on the z14 ZR1

The required patch is

commit f0b9be93001e6215dc1195f3d75ad2da8b3b694a (qemu 3.0)

s390x/cpumodels: add z14 Model ZR1

Introduce the new z14 Model ZR1 cpu model. Mostly identical to z14, only
the cpu type differs (3906 vs. 3907)

Business Case
Support z14 ZR1 hardware features with KVM guests

Related branches

CVE References

bugproxy (bugproxy) on 2018-07-09
tags: added: architecture-s39064 bugnameltc-169556 severity-high targetmilestone-inin1810
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → qemu (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody →  Christian Ehrhardt  (paelzer)

------- Comment From <email address hidden> 2018-07-09 10:21 EDT-------
Correction.
The qemu commit id is: commit 23ad956bff98d949057156ea3f68a9763c2dda0e ("s390x/cpumodels: add z14 Model ZR1")

Added to the coming Qemu 2.12 Upload for Cosmic.
Thanks for the the Heads up on the commit ID!

Changed in qemu (Ubuntu):
status: New → In Progress
assignee: Skipper Bug Screeners (skipper-screen-team) →  Christian Ehrhardt  (paelzer)
Changed in ubuntu-z-systems:
status: Triaged → In Progress
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-07-16 07:15 EDT-------
Please SRU for current LTS Versions in Service (16.04 and 18.04)

Changed in qemu (Ubuntu Xenial):
status: New → Triaged
Changed in qemu (Ubuntu Bionic):
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 1:2.12+dfsg-3ubuntu3

---------------
qemu (1:2.12+dfsg-3ubuntu3) cosmic; urgency=medium

  * d/p/lp-1755912-qxl-fix-local-renderer-crash.patch: Fix an issue triggered
    by migrations with UI frontends or frequent guest resolution changes
    (LP: #1755912)

 -- Christian Ehrhardt <email address hidden> Thu, 19 Jul 2018 08:26:52 +0200

Changed in qemu (Ubuntu):
status: In Progress → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-08-29 03:46 EDT-------
This function is available now for Cosmic , what is the timeframe for Bionic,Xenial. Many thx in advance.....

Changed in qemu (Ubuntu):
assignee:  Christian Ehrhardt  (paelzer) → nobody
Changed in ubuntu-z-systems:
assignee:  Christian Ehrhardt  (paelzer) → nobody

Hi,
Bionic is fine, it should apply and work there.
Lacking a z14 thou I'd prep a PPA for one of you to test before going forward.

Now Xenial is on qemu 2.5 where this patch does not apply at all.
The base infrastructure was added in qemu 2.8 by
6c064de1 s390x/cpumodel: register defined CPU models as subclasses

Xenial will somewhat pick it up via the Cloud Archive, but for a change of the actual Xenial qemu I'd ask for guidance what you want to have changed there.

Changed in qemu (Ubuntu Xenial):
status: Triaged → Incomplete
Changed in qemu (Ubuntu Bionic):
status: Triaged → In Progress
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-08-29 06:05 EDT-------
For xenial: Yes, we want that change via the cloud archives (where it makes sense).
As the qem 2.5 (bionic base) has no CPU model, there is no need to add this in qemu 2.5.

Could you please try Bionic with [1] to confirm this would suit your needs?

[1]: https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3391/+packages

Changed in qemu (Ubuntu Bionic):
status: In Progress → Incomplete
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-09-11 14:20 EDT-------
I can confirm that the ppa "fixes" the report (z14 zr1 is avaialble)

Thanks, setting Xenial to "Won't Fix" (as we don't change xenials qemu itself) and bringing this onto the SRU-road then ...

Changed in qemu (Ubuntu Xenial):
status: Incomplete → Won't Fix
Changed in qemu (Ubuntu Bionic):
status: Incomplete → Triaged

Pushed to the qemu packaging repo, added an SRU Template in the bug description and uploaded to the Bionic-unapproved queue for the SRU Team to consider it.

description: updated

I'm preparing Bionic right now - could you pre-verify that the backport worked as expected on the ppa at [1] please?
This contains an updated qemu for Bionic.

[1]: https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3414

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-09-13 09:49 EDT-------
Yes, the qemu does support the z14ZR1

I had sil2100 cancel the upload of yesterday to group it with a few more fixes that I had in the pipe to avoid the users updating qemu packages too often.
It is now ready again after the retests completed.

Uploaded for SRu Team review

information type: Private → Public

Hello bugproxy, or anyone else affected,

Accepted qemu into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/qemu/1:2.11+dfsg-1ubuntu7.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in qemu (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-bionic

To be clear - this relies on special HW to be present, so I can't validate it.
IBM was so kind to verify the PPAs in advance, it would be great if you could do so again with the bits in proposed.

------- Comment From <email address hidden> 2018-09-27 10:39 EDT-------
Yes, the version from proposed does work as expected.

Thanks for testing, setting tags accordingly.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 1:2.11+dfsg-1ubuntu7.6

---------------
qemu (1:2.11+dfsg-1ubuntu7.6) bionic; urgency=medium

  [ Christian Ehrhardt ]
  * Add cpu model for z14 ZR1 (LP: #1780773)
  * d/p/ubuntu/lp-1789551-seccomp-set-the-seccomp-filter-to-all-threads.patch:
    ensure that the seccomp blacklist is applied to all threads (LP: #1789551)
    - CVE-2018-15746
  * improve s390x spectre mitigation with etoken facility (LP: #1790457)
    - debian/patches/ubuntu/lp-1790457-s390x-kvm-add-etoken-facility.patch
    - debian/patches/ubuntu/lp-1790457-partial-s390x-linux-headers-update.patch

  [ Phillip Susi ]
  * d/p/ubuntu/lp-1787267-fix-en_us-vnc-pipe.patch: Fix pipe, greater than and
    less than keys over vnc when using en_us kemaps (LP: #1787267).

 -- Christian Ehrhardt <email address hidden> Wed, 29 Aug 2018 11:46:37 +0200

Changed in qemu (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for qemu has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released

------- Comment From <email address hidden> 2018-10-23 06:55 EDT-------
IBM Bugzilla status-> closed, Fix Released with Cosmic and Bionic

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers